Subject: Your December Experian Credit-Score Is Ready (CHECK NOW)

From: "Your Credit-Score Check" <[email-masked]>
Date: Mon, 26 Dec 2016 13:33:40 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.